# Interface MessageApiClient

Provides methods to call the message API endpoints of the backend.

interface MessageApiClient {
sendMailMessage(
mailMessage: DeepImmutable<MailMessage>,
): Promise<TypedResponse<string>>;
}

##### Index

### Methods

sendMailMessage

## Methods

### sendMailMessage

- sendMailMessage(
  mailMessage: DeepImmutable<MailMessage>,
  ): Promise<TypedResponse<string>>

  Sends an email message. For security reasons it is not possible to specify a completely custom email. A valid email template (specified by MailMessage.templateId) must be used and the data is substituted into the template MailMessage.data. This will vary depending on the template. Templates must be configured in the backend.

  #### Parameters

  - mailMessage: DeepImmutable<MailMessage>

    Email message to send.

  #### Returns Promise<TypedResponse<string>>

  MessageId of email.